]> granicus.if.org Git - postgresql/blobdiff - configure
Don't try to free executor state of an InitPlan early --- this breaks
[postgresql] / configure
index 09e9814eb3274515886c16bbfc56ab941c9b429a..ade4f862a6cdaa39bd6a5bd42a365047ac5b4a5d 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.53 for PostgreSQL 7.3.
+# Generated by GNU Autoconf 2.53 for PostgreSQL 7.4devel.
 #
 # Report bugs to <pgsql-bugs@postgresql.org>.
 #
@@ -258,8 +258,8 @@ SHELL=${CONFIG_SHELL-/bin/sh}
 # Identity of this package.
 PACKAGE_NAME='PostgreSQL'
 PACKAGE_TARNAME='postgresql'
-PACKAGE_VERSION='7.3'
-PACKAGE_STRING='PostgreSQL 7.3'
+PACKAGE_VERSION='7.4devel'
+PACKAGE_STRING='PostgreSQL 7.4devel'
 PACKAGE_BUGREPORT='pgsql-bugs@postgresql.org'
 
 ac_unique_file="src/backend/access/common/heaptuple.c"
@@ -769,7 +769,7 @@ if test "$ac_init_help" = "long"; then
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures PostgreSQL 7.3 to adapt to many kinds of systems.
+\`configure' configures PostgreSQL 7.4devel to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -830,7 +830,7 @@ fi
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of PostgreSQL 7.3:";;
+     short | recursive ) echo "Configuration of PostgreSQL 7.4devel:";;
    esac
   cat <<\_ACEOF
 
@@ -838,7 +838,7 @@ Optional Features:
   --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
   --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
   --enable-integer-datetimes  enable 64-bit integer date/time support
-  --enable-recode         enable character set recode support
+  --enable-recode         enable single-byte recode support
   --enable-nls[=LANGUAGES]  enable Native Language Support
   --disable-shared        do not build shared libraries
   --disable-rpath         do not embed shared library search path in executables
@@ -860,7 +860,7 @@ Optional Packages:
   --without-tk            do not build Tk interfaces if Tcl is enabled
   --with-tclconfig=DIR    tclConfig.sh and tkConfig.sh are in DIR
   --with-tkconfig=DIR     tkConfig.sh is in DIR
-  --with-perl             build PL/Perl
+  --with-perl             build Perl modules (PL/Perl)
   --with-python           build Python interface module
   --with-java             build JDBC interface and Java tools
   --with-krb4[=DIR]       build with Kerberos 4 support [/usr/athena]
@@ -949,7 +949,7 @@ fi
 test -n "$ac_init_help" && exit 0
 if $ac_init_version; then
   cat <<\_ACEOF
-PostgreSQL configure 7.3
+PostgreSQL configure 7.4devel
 generated by GNU Autoconf 2.53
 
 Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001, 2002
@@ -966,7 +966,7 @@ cat >&5 <<_ACEOF
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by PostgreSQL $as_me 7.3, which was
+It was created by PostgreSQL $as_me 7.4devel, which was
 generated by GNU Autoconf 2.53.  Invocation command line was
 
   $ $0 $@
@@ -2442,6 +2442,7 @@ if test "$enable_debug" = yes && test "$ac_cv_prog_cc_g" = yes; then
 fi
 { echo "$as_me:$LINENO: using CFLAGS=$CFLAGS" >&5
 echo "$as_me: using CFLAGS=$CFLAGS" >&6;}
+
 # Check if the compiler still works with the template settings
 echo "$as_me:$LINENO: checking whether the C compiler still works" >&5
 echo $ECHO_N "checking whether the C compiler still works... $ECHO_C" >&6
@@ -2488,6 +2489,52 @@ echo "$as_me: error: cannot proceed" >&2;}
    { (exit 1); exit 1; }; }
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+
+# Defend against gcc -ffastmath
+if test "$GCC" = yes; then
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+
+#ifdef F77_DUMMY_MAIN
+#  ifdef __cplusplus
+     extern "C"
+#  endif
+   int F77_DUMMY_MAIN() { return 1; }
+#endif
+int
+main ()
+{
+#ifdef __FAST_MATH__
+choke me
+#endif
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+         { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  :
+else
+  echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+{ { echo "$as_me:$LINENO: error: do not put -ffast-math in CFLAGS" >&5
+echo "$as_me: error: do not put -ffast-math in CFLAGS" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+rm -f conftest.$ac_objext conftest.$ac_ext
+fi
+
 ac_ext=c
 ac_cpp='$CPP $CPPFLAGS'
 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
@@ -2935,7 +2982,7 @@ fi;
 
 
 #
-# Optionally build Perl modules (Pg.pm and PL/Perl)
+# Optionally build Perl modules (PL/Perl)
 #
 echo "$as_me:$LINENO: checking whether to build Perl modules" >&5
 echo $ECHO_N "checking whether to build Perl modules... $ECHO_C" >&6
@@ -3120,8 +3167,10 @@ echo "$as_me: error: ant does not work" >&2;}
 
 
 if test -z "$ANT"; then
-  { { echo "$as_me:$LINENO: error: Ant is required to build Java components" >&5
-echo "$as_me: error: Ant is required to build Java components" >&2;}
+  { { echo "$as_me:$LINENO: error: Ant is required to build Java components
+If you have Ant already installed, see config.log for details on the failure." >&5
+echo "$as_me: error: Ant is required to build Java components
+If you have Ant already installed, see config.log for details on the failure." >&2;}
    { (exit 1); exit 1; }; }
 fi
 if "$ANT" -version | sed q | egrep -v ' 1\.[5-9]| [2-9]\.' >/dev/null ; then
@@ -4105,51 +4154,6 @@ echo "$as_me: WARNING:
 fi
 
 
-if test "$with_tk" = yes; then
-    # Extract the first word of "wish", so it can be a program name with args.
-set dummy wish; ac_word=$2
-echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
-if test "${ac_cv_path_WISH+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  case $WISH in
-  [\\/]* | ?:[\\/]*)
-  ac_cv_path_WISH="$WISH" # Let the user override the test with a path.
-  ;;
-  *)
-  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-for as_dir in $PATH
-do
-  IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
-  for ac_exec_ext in '' $ac_executable_extensions; do
-  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
-    ac_cv_path_WISH="$as_dir/$ac_word$ac_exec_ext"
-    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
-    break 2
-  fi
-done
-done
-
-  ;;
-esac
-fi
-WISH=$ac_cv_path_WISH
-
-if test -n "$WISH"; then
-  echo "$as_me:$LINENO: result: $WISH" >&5
-echo "${ECHO_T}$WISH" >&6
-else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
-fi
-
-    test -z "$WISH" && { { echo "$as_me:$LINENO: error: 'wish' is required for Tk support" >&5
-echo "$as_me: error: 'wish' is required for Tk support" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-
 # Extract the first word of "perl", so it can be a program name with args.
 set dummy perl; ac_word=$2
 echo "$as_me:$LINENO: checking for $ac_word" >&5
@@ -4191,16 +4195,6 @@ fi
 
 if test "$with_perl" = yes; then
 
-echo "$as_me:$LINENO: checking for Perl installsitearch" >&5
-echo $ECHO_N "checking for Perl installsitearch... $ECHO_C" >&6
-perl_installsitearch=`$PERL -MConfig -e 'print $Config{installsitearch}'`
-echo "$as_me:$LINENO: result: $perl_installsitearch" >&5
-echo "${ECHO_T}$perl_installsitearch" >&6
-echo "$as_me:$LINENO: checking for Perl installman3dir" >&5
-echo $ECHO_N "checking for Perl installman3dir... $ECHO_C" >&6
-perl_installman3dir=`$PERL -MConfig -e 'print $Config{installman3dir}'`
-echo "$as_me:$LINENO: result: $perl_installman3dir" >&5
-echo "${ECHO_T}$perl_installman3dir" >&6
 echo "$as_me:$LINENO: checking for Perl archlibexp" >&5
 echo $ECHO_N "checking for Perl archlibexp... $ECHO_C" >&6
 perl_archlibexp=`$PERL -MConfig -e 'print $Config{archlibexp}'`
@@ -4216,11 +4210,6 @@ echo $ECHO_N "checking for Perl useshrplib... $ECHO_C" >&6
 perl_useshrplib=`$PERL -MConfig -e 'print $Config{useshrplib}'`
 echo "$as_me:$LINENO: result: $perl_useshrplib" >&5
 echo "${ECHO_T}$perl_useshrplib" >&6
-echo "$as_me:$LINENO: checking for Perl man3ext" >&5
-echo $ECHO_N "checking for Perl man3ext... $ECHO_C" >&6
-perl_man3ext=`$PERL -MConfig -e 'print $Config{man3ext}'`
-echo "$as_me:$LINENO: result: $perl_man3ext" >&5
-echo "${ECHO_T}$perl_man3ext" >&6
 
 echo "$as_me:$LINENO: checking for flags to link embedded Perl" >&5
 echo $ECHO_N "checking for flags to link embedded Perl... $ECHO_C" >&6
@@ -4307,6 +4296,14 @@ fi
 echo "$as_me:$LINENO: checking how to link an embedded Python application" >&5
 echo $ECHO_N "checking how to link an embedded Python application... $ECHO_C" >&6
 
+if test ! -f "$python_configdir/Makefile"; then
+  echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+  { { echo "$as_me:$LINENO: error: Python Makefile not found" >&5
+echo "$as_me: error: Python Makefile not found" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
 _python_libs=`grep '^LIBS=' $python_configdir/Makefile | sed 's/^.*=//'`
 _python_libc=`grep '^LIBC=' $python_configdir/Makefile | sed 's/^.*=//'`
 _python_libm=`grep '^LIBM=' $python_configdir/Makefile | sed 's/^.*=//'`
@@ -5331,7 +5328,7 @@ cat conftest.$ac_ext >&5
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 if test "$ac_cv_search_getopt_long" = no; then
-  for ac_lib in getopt; do
+  for ac_lib in getopt gnugetopt; do
     LIBS="-l$ac_lib  $ac_func_search_save_LIBS"
     cat >conftest.$ac_ext <<_ACEOF
 #line $LINENO "configure"
@@ -5731,6 +5728,72 @@ if test "$ac_cv_search_fdatasync" != no; then
 
 fi
 
+# Cygwin:
+
+echo "$as_me:$LINENO: checking for shmget in -lcygipc" >&5
+echo $ECHO_N "checking for shmget in -lcygipc... $ECHO_C" >&6
+if test "${ac_cv_lib_cygipc_shmget+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lcygipc  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+
+/* Override any gcc2 internal prototype to avoid an error.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+/* We use char because int might match the return type of a gcc2
+   builtin and then its argument prototype would still apply.  */
+char shmget ();
+#ifdef F77_DUMMY_MAIN
+#  ifdef __cplusplus
+     extern "C"
+#  endif
+   int F77_DUMMY_MAIN() { return 1; }
+#endif
+int
+main ()
+{
+shmget ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+         { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_lib_cygipc_shmget=yes
+else
+  echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+ac_cv_lib_cygipc_shmget=no
+fi
+rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+echo "$as_me:$LINENO: result: $ac_cv_lib_cygipc_shmget" >&5
+echo "${ECHO_T}$ac_cv_lib_cygipc_shmget" >&6
+if test $ac_cv_lib_cygipc_shmget = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define HAVE_LIBCYGIPC 1
+_ACEOF
+
+  LIBS="-lcygipc $LIBS"
+
+fi
+
 
 if test "$with_readline" = yes; then
 
@@ -5822,8 +5885,12 @@ echo "${ECHO_T}no" >&6
 fi
   if test x"$pgac_cv_check_readline" = x"no"; then
     { { echo "$as_me:$LINENO: error: readline library not found
+If you have readline already installed, see config.log for details on the
+failure.  It is possible the compiler isn't looking in the proper directory.
 Use --without-readline to disable readline support." >&5
 echo "$as_me: error: readline library not found
+If you have readline already installed, see config.log for details on the
+failure.  It is possible the compiler isn't looking in the proper directory.
 Use --without-readline to disable readline support." >&2;}
    { (exit 1); exit 1; }; }
   fi
@@ -5895,8 +5962,12 @@ _ACEOF
 
 else
   { { echo "$as_me:$LINENO: error: zlib library not found
+If you have zlib already installed, see config.log for details on the
+failure.  It is possible the compiler isn't looking in the proper directory.
 Use --without-zlib to disable zlib support." >&5
 echo "$as_me: error: zlib library not found
+If you have zlib already installed, see config.log for details on the
+failure.  It is possible the compiler isn't looking in the proper directory.
 Use --without-zlib to disable zlib support." >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -7322,8 +7393,12 @@ _ACEOF
 
 else
   { { echo "$as_me:$LINENO: error: readline header not found
+If you have readline already installed, see config.log for details on the
+failure.  It is possible the compiler isn't looking in the proper directory.
 Use --without-readline to disable readline support." >&5
 echo "$as_me: error: readline header not found
+If you have readline already installed, see config.log for details on the
+failure.  It is possible the compiler isn't looking in the proper directory.
 Use --without-readline to disable readline support." >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -7557,8 +7632,12 @@ _ACEOF
 
 else
   { { echo "$as_me:$LINENO: error: history header not found
+If you have readline already installed, see config.log for details on the
+failure.  It is possible the compiler isn't looking in the proper directory.
 Use --without-readline to disable readline support." >&5
 echo "$as_me: error: history header not found
+If you have readline already installed, see config.log for details on the
+failure.  It is possible the compiler isn't looking in the proper directory.
 Use --without-readline to disable readline support." >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -7677,8 +7756,12 @@ if test $ac_cv_header_zlib_h = yes; then
   :
 else
   { { echo "$as_me:$LINENO: error: zlib header not found
+If you have readline already installed, see config.log for details on the
+failure.  It is possible the compiler isn't looking in the proper directory.
 Use --without-zlib to disable zlib support." >&5
 echo "$as_me: error: zlib header not found
+If you have readline already installed, see config.log for details on the
+failure.  It is possible the compiler isn't looking in the proper directory.
 Use --without-zlib to disable zlib support." >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -9425,7 +9508,12 @@ fi
 echo "$as_me:$LINENO: result: $ac_cv_member_krb5_error_e_data" >&5
 echo "${ECHO_T}$ac_cv_member_krb5_error_e_data" >&6
 if test $ac_cv_member_krb5_error_e_data = yes; then
-  :
+
+cat >>confdefs.h <<_ACEOF
+#define HAVE_KRB5_ERROR_E_DATA 1
+_ACEOF
+
+
 else
   { { echo "$as_me:$LINENO: error: could not determine how to extract Kerberos 5 error messages" >&5
 echo "$as_me: error: could not determine how to extract Kerberos 5 error messages" >&2;}
@@ -9731,7 +9819,8 @@ test $ac_cv_func_memcmp_working = no && LIBOBJS="$LIBOBJS memcmp.$ac_objext"
 
 
 
-for ac_func in cbrt fcvt getopt_long memmove pstat setproctitle setsid sigprocmask sysconf waitpid dlopen fdatasync
+
+for ac_func in cbrt fcvt getopt_long getpeereid memmove pstat setproctitle setsid sigprocmask sysconf waitpid dlopen fdatasync
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
 echo "$as_me:$LINENO: checking for $ac_func" >&5
@@ -10375,7 +10464,8 @@ fi
 
 
 
-for ac_func in gethostname getrusage inet_aton random srandom strcasecmp strdup strerror strtol strtoul
+
+for ac_func in fseeko gethostname getrusage inet_aton random srandom strcasecmp strdup strerror strtol strtoul
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
 echo "$as_me:$LINENO: checking for $ac_func" >&5
@@ -10454,7 +10544,14 @@ done
 
 
 
-# Solaris has a very slow qsort in certain cases.
+# BSD/OS & NetBSD use a custom fseeko/ftello built on fsetpos/fgetpos
+# We override the previous test that said fseeko/ftello didn't exist
+# OS tests are also done in include/c.h and port/fseeko.c
+case $host_os in bsdi*|netbsd*)
+ac_cv_func_fseeko=yes
+esac
+
+# Solaris has a very slow qsort in certain cases, so we replace it.
 case $host_os in
   solaris*) LIBOBJS="$LIBOBJS qsort.$ac_objext" ;;
 esac
@@ -16012,7 +16109,7 @@ _ASBOX
 } >&5
 cat >&5 <<_CSEOF
 
-This file was extended by PostgreSQL $as_me 7.3, which was
+This file was extended by PostgreSQL $as_me 7.4devel, which was
 generated by GNU Autoconf 2.53.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
@@ -16074,7 +16171,7 @@ _ACEOF
 
 cat >>$CONFIG_STATUS <<_ACEOF
 ac_cs_version="\\
-PostgreSQL config.status 7.3
+PostgreSQL config.status 7.4devel
 configured by $0, generated by GNU Autoconf 2.53,
   with options \\"`echo "$ac_configure_args" | sed 's/[\\""\`\$]/\\\\&/g'`\\"
 
@@ -16310,14 +16407,10 @@ s,@STRIP_STATIC_LIB@,$STRIP_STATIC_LIB,;t t
 s,@STRIP_SHARED_LIB@,$STRIP_SHARED_LIB,;t t
 s,@YACC@,$YACC,;t t
 s,@YFLAGS@,$YFLAGS,;t t
-s,@WISH@,$WISH,;t t
 s,@PERL@,$PERL,;t t
-s,@perl_installsitearch@,$perl_installsitearch,;t t
-s,@perl_installman3dir@,$perl_installman3dir,;t t
 s,@perl_archlibexp@,$perl_archlibexp,;t t
 s,@perl_privlibexp@,$perl_privlibexp,;t t
 s,@perl_useshrplib@,$perl_useshrplib,;t t
-s,@perl_man3ext@,$perl_man3ext,;t t
 s,@perl_embed_ldflags@,$perl_embed_ldflags,;t t
 s,@PYTHON@,$PYTHON,;t t
 s,@python_version@,$python_version,;t t